// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

/**
 * <pre>
 * Switch status
 * </pre>
 *
 * Protobuf type {@code switchmodule.SwitchStatus}
 */
public final class SwitchStatus extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:switchmodule.SwitchStatus)
    SwitchStatusOrBuilder {
private static final long serialVersionUID = 0L;
  // Use SwitchStatus.newBuilder() to construct.
  private SwitchStatus(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private SwitchStatus() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new SwitchStatus();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatus_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatus_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.switchmodule.SwitchStatus.class, openfmb.switchmodule.SwitchStatus.Builder.class);
  }

  public static final int STATUSVALUE_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusValue statusValue_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  @java.lang.Override
  public boolean hasStatusValue() {
    return statusValue_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValue getStatusValue() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }

  public static final int SWITCHSTATUSXSWI_FIELD_NUMBER = 2;
  private openfmb.switchmodule.SwitchStatusXSWI switchStatusXSWI_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
   * @return Whether the switchStatusXSWI field is set.
   */
  @java.lang.Override
  public boolean hasSwitchStatusXSWI() {
    return switchStatusXSWI_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
   * @return The switchStatusXSWI.
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchStatusXSWI getSwitchStatusXSWI() {
    return switchStatusXSWI_ == null ? openfmb.switchmodule.SwitchStatusXSWI.getDefaultInstance() : switchStatusXSWI_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
   */
  @java.lang.Override
  public openfmb.switchmodule.SwitchStatusXSWIOrBuilder getSwitchStatusXSWIOrBuilder() {
    return switchStatusXSWI_ == null ? openfmb.switchmodule.SwitchStatusXSWI.getDefaultInstance() : switchStatusXSWI_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusValue_ != null) {
      output.writeMessage(1, getStatusValue());
    }
    if (switchStatusXSWI_ != null) {
      output.writeMessage(2, getSwitchStatusXSWI());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusValue_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusValue());
    }
    if (switchStatusXSWI_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getSwitchStatusXSWI());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.switchmodule.SwitchStatus)) {
      return super.equals(obj);
    }
    openfmb.switchmodule.SwitchStatus other = (openfmb.switchmodule.SwitchStatus) obj;

    if (hasStatusValue() != other.hasStatusValue()) return false;
    if (hasStatusValue()) {
      if (!getStatusValue()
          .equals(other.getStatusValue())) return false;
    }
    if (hasSwitchStatusXSWI() != other.hasSwitchStatusXSWI()) return false;
    if (hasSwitchStatusXSWI()) {
      if (!getSwitchStatusXSWI()
          .equals(other.getSwitchStatusXSWI())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusValue()) {
      hash = (37 * hash) + STATUSVALUE_FIELD_NUMBER;
      hash = (53 * hash) + getStatusValue().hashCode();
    }
    if (hasSwitchStatusXSWI()) {
      hash = (37 * hash) + SWITCHSTATUSXSWI_FIELD_NUMBER;
      hash = (53 * hash) + getSwitchStatusXSWI().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.switchmodule.SwitchStatus parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatus parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchStatus parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchStatus parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.switchmodule.SwitchStatus prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Switch status
   * </pre>
   *
   * Protobuf type {@code switchmodule.SwitchStatus}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:switchmodule.SwitchStatus)
      openfmb.switchmodule.SwitchStatusOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatus_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatus_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.switchmodule.SwitchStatus.class, openfmb.switchmodule.SwitchStatus.Builder.class);
    }

    // Construct using openfmb.switchmodule.SwitchStatus.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      switchStatusXSWI_ = null;
      if (switchStatusXSWIBuilder_ != null) {
        switchStatusXSWIBuilder_.dispose();
        switchStatusXSWIBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchStatus_descriptor;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchStatus getDefaultInstanceForType() {
      return openfmb.switchmodule.SwitchStatus.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchStatus build() {
      openfmb.switchmodule.SwitchStatus result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchStatus buildPartial() {
      openfmb.switchmodule.SwitchStatus result = new openfmb.switchmodule.SwitchStatus(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.switchmodule.SwitchStatus result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusValue_ = statusValueBuilder_ == null
            ? statusValue_
            : statusValueBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.switchStatusXSWI_ = switchStatusXSWIBuilder_ == null
            ? switchStatusXSWI_
            : switchStatusXSWIBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.switchmodule.SwitchStatus) {
        return mergeFrom((openfmb.switchmodule.SwitchStatus)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.switchmodule.SwitchStatus other) {
      if (other == openfmb.switchmodule.SwitchStatus.getDefaultInstance()) return this;
      if (other.hasStatusValue()) {
        mergeStatusValue(other.getStatusValue());
      }
      if (other.hasSwitchStatusXSWI()) {
        mergeSwitchStatusXSWI(other.getSwitchStatusXSWI());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusValueFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getSwitchStatusXSWIFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusValue statusValue_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> statusValueBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusValue field is set.
     */
    public boolean hasStatusValue() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusValue.
     */
    public openfmb.commonmodule.StatusValue getStatusValue() {
      if (statusValueBuilder_ == null) {
        return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      } else {
        return statusValueBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusValue_ = value;
      } else {
        statusValueBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(
        openfmb.commonmodule.StatusValue.Builder builderForValue) {
      if (statusValueBuilder_ == null) {
        statusValue_ = builderForValue.build();
      } else {
        statusValueBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusValue_ != null &&
          statusValue_ != openfmb.commonmodule.StatusValue.getDefaultInstance()) {
          getStatusValueBuilder().mergeFrom(value);
        } else {
          statusValue_ = value;
        }
      } else {
        statusValueBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusValue() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValue.Builder getStatusValueBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusValueFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
      if (statusValueBuilder_ != null) {
        return statusValueBuilder_.getMessageOrBuilder();
      } else {
        return statusValue_ == null ?
            openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> 
        getStatusValueFieldBuilder() {
      if (statusValueBuilder_ == null) {
        statusValueBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder>(
                getStatusValue(),
                getParentForChildren(),
                isClean());
        statusValue_ = null;
      }
      return statusValueBuilder_;
    }

    private openfmb.switchmodule.SwitchStatusXSWI switchStatusXSWI_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchStatusXSWI, openfmb.switchmodule.SwitchStatusXSWI.Builder, openfmb.switchmodule.SwitchStatusXSWIOrBuilder> switchStatusXSWIBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     * @return Whether the switchStatusXSWI field is set.
     */
    public boolean hasSwitchStatusXSWI() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     * @return The switchStatusXSWI.
     */
    public openfmb.switchmodule.SwitchStatusXSWI getSwitchStatusXSWI() {
      if (switchStatusXSWIBuilder_ == null) {
        return switchStatusXSWI_ == null ? openfmb.switchmodule.SwitchStatusXSWI.getDefaultInstance() : switchStatusXSWI_;
      } else {
        return switchStatusXSWIBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     */
    public Builder setSwitchStatusXSWI(openfmb.switchmodule.SwitchStatusXSWI value) {
      if (switchStatusXSWIBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        switchStatusXSWI_ = value;
      } else {
        switchStatusXSWIBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     */
    public Builder setSwitchStatusXSWI(
        openfmb.switchmodule.SwitchStatusXSWI.Builder builderForValue) {
      if (switchStatusXSWIBuilder_ == null) {
        switchStatusXSWI_ = builderForValue.build();
      } else {
        switchStatusXSWIBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     */
    public Builder mergeSwitchStatusXSWI(openfmb.switchmodule.SwitchStatusXSWI value) {
      if (switchStatusXSWIBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          switchStatusXSWI_ != null &&
          switchStatusXSWI_ != openfmb.switchmodule.SwitchStatusXSWI.getDefaultInstance()) {
          getSwitchStatusXSWIBuilder().mergeFrom(value);
        } else {
          switchStatusXSWI_ = value;
        }
      } else {
        switchStatusXSWIBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     */
    public Builder clearSwitchStatusXSWI() {
      bitField0_ = (bitField0_ & ~0x00000002);
      switchStatusXSWI_ = null;
      if (switchStatusXSWIBuilder_ != null) {
        switchStatusXSWIBuilder_.dispose();
        switchStatusXSWIBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     */
    public openfmb.switchmodule.SwitchStatusXSWI.Builder getSwitchStatusXSWIBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getSwitchStatusXSWIFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     */
    public openfmb.switchmodule.SwitchStatusXSWIOrBuilder getSwitchStatusXSWIOrBuilder() {
      if (switchStatusXSWIBuilder_ != null) {
        return switchStatusXSWIBuilder_.getMessageOrBuilder();
      } else {
        return switchStatusXSWI_ == null ?
            openfmb.switchmodule.SwitchStatusXSWI.getDefaultInstance() : switchStatusXSWI_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.switchmodule.SwitchStatusXSWI switchStatusXSWI = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.switchmodule.SwitchStatusXSWI, openfmb.switchmodule.SwitchStatusXSWI.Builder, openfmb.switchmodule.SwitchStatusXSWIOrBuilder> 
        getSwitchStatusXSWIFieldBuilder() {
      if (switchStatusXSWIBuilder_ == null) {
        switchStatusXSWIBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.switchmodule.SwitchStatusXSWI, openfmb.switchmodule.SwitchStatusXSWI.Builder, openfmb.switchmodule.SwitchStatusXSWIOrBuilder>(
                getSwitchStatusXSWI(),
                getParentForChildren(),
                isClean());
        switchStatusXSWI_ = null;
      }
      return switchStatusXSWIBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:switchmodule.SwitchStatus)
  }

  // @@protoc_insertion_point(class_scope:switchmodule.SwitchStatus)
  private static final openfmb.switchmodule.SwitchStatus DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.switchmodule.SwitchStatus();
  }

  public static openfmb.switchmodule.SwitchStatus getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<SwitchStatus>
      PARSER = new com.google.protobuf.AbstractParser<SwitchStatus>() {
    @java.lang.Override
    public SwitchStatus parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<SwitchStatus> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<SwitchStatus> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.switchmodule.SwitchStatus getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

